CodePositionTree (OpenMap API)
Date: 2016-12-09

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bbn.openmap.tools.symbology.milStd2525
Class CodePositionTree

    java.lang.Object
      com.bbn.openmap.tools.symbology.milStd2525.CodePosition
          com.bbn.openmap.tools.symbology.milStd2525.CodeScheme
              com.bbn.openmap.tools.symbology.milStd2525.CodePositionTree

    public class CodePositionTree

extends CodeScheme

The CodePositionTree is a CodeScheme CodePosition object that has some intelligence on how to starting building the SymbolPart tree for the SymbolReferenceLibrary. It knows how to set up CodeOptions for the different types of CodeSchemes, and starts the parsing of the hierarchy properties.

Field Summary

Fields inherited from class com.bbn.openmap.tools.symbology.milStd2525.CodeScheme
`defaultSymbolCode, DefaultSymbolCodeProperty, hierarchyAddition, HierarchyCodeAdditionProperty, options`

Fields inherited from class com.bbn.openmap.tools.symbology.milStd2525.CodePosition
`choices, DEBUG, endIndex, hierarchyNumber, id, NameProperty, nextPosition, NextProperty, NO_CHAR, NO_NUMBER, prettyName, startIndex, symbolPart`

Constructor Summary
`CodePositionTree(java.util.Properties positionProperties)`

Method Summary
`SymbolPart` | `parseHierarchy(java.lang.String name, java.util.Properties hierarchyProperties)`

Methods inherited from class com.bbn.openmap.tools.symbology.milStd2525.CodeScheme
`addPositionChoice, getCodeOptions, getCodeOptions, getDefaultSymbolCode, parseHierarchy, parseHierarchy, setCodeOptions`

Methods inherited from class com.bbn.openmap.tools.symbology.milStd2525.CodePosition
`addPositionChoice, codeMatches, getEndIndex, getFromChoices, getHierarchyNumber, getHierarchyNumberString, getID, getNextPosition, getNULLCodePosition, getPositionChoices, getPrettyName, getStartIndex, getSymbolPart, parsePositions, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CodePositionTree

    public CodePositionTree(java.util.Properties positionProperties)

Method Detail

### parseHierarchy

    public SymbolPart parseHierarchy(java.lang.String name,
                                     java.util.Properties hierarchyProperties)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details